Name: remctl
Version: 2.11
Release: 8%{?dist}
Summary: Client/server for Kerberos-authenticated command execution

Group: Applications/Internet
License: MIT
URL: http://www.eyrie.org/~eagle/software/remctl
Source0: http://archives.eyrie.org/software/kerberos/remctl-%{version}.tar.gz
Patch0: remctl-2.11-vendor.patch
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires: krb5-devel perl perl(ExtUtils::MakeMaker)

%description

remctl (the client) and remctld (the server) implement a client/server
protocol for running single commands on a remote host using Kerberos
v5 authentication and returning the output. They use a very simple
GSS-API-authenticated network protocol, combined with server-side ACL
support and a server configuration file that maps remctl commands to
programs that should be run when that command is called by an
authorised user.

%package devel
Summary: Development files needed to compile C programs against remctl
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel

remctl implements a client/server protocol for running single commands
on a remote host using Kerberos v5 authentication. If you want to develop
programs which use remctl's libraries, you need to install this package.

%package perl
Summary: Perl interface to remctl
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description perl
remctl implements a client/server protocol for running single commands 
on a remote host using Kerberos v5 authentication. If you want to use
remctl's perl bindings, you need to install this package.

%prep
%setup -q
%patch0 -p1

%build
%configure --enable-perl --disable-static
make


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL="install -p"

chmod 0755 %{buildroot}%{perl_vendorarch}/auto/Net/Remctl/Remctl.so
chmod 0644 %{buildroot}%{perl_vendorarch}/Net/Remctl.pm
chmod 0644 %{buildroot}%{_mandir}/man3/Net::Remctl.3pm*

# Tidy up the perl installation ...
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type f -name perllocal.pod -exec rm -f {} ';'
find %{buildroot} -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'

# And the libraries
find %{buildroot} -type f -name '*.la' -exec rm -f {} ';'

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files 
%defattr(-,root,root,-)
%doc README NEWS TODO
%{_libdir}/*.so.*
%{_bindir}/remctl
%{_sbindir}/remctld
%{_mandir}/man1/remctl*
%{_mandir}/man8/remctl*

%files devel
%defattr(-,root,root,-)
%{_includedir}/remctl.h
%{_mandir}/man3/remctl*
%{_libdir}/*.so

%files perl
%defattr(-,root,root,-)
%{perl_vendorarch}/Net
%{perl_vendorarch}/auto/Net
%{_mandir}/man3/Net::Remctl*

%changelog
* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.11-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Jun 03 2008 Simon Wilkinson <simon@sxw.org.uk> 2.11-7
- Update to catch new perl version, and fix perl dependencies (#453579)

* Thu Feb 28 2008 Simon Wilkinson <simon@sxw.org.uk> 2.11-6
- The build process isn't -j safe, so remove smpflags until this can be fixed.

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 2.11-5
- Autorebuild for GCC 4.3

* Sat Jan 27 2008 Simon Wilkinson <simon@sxw.org.uk> 2.11-4
- More changes to address review comments

* Wed Jan 23 2008 Simon Wilkinson <simon@sxw.org.uk> 2.11-3
- Modifications for second round of review comments

* Tue Jan 22 2008 Simon Wilkinson <simon@sxw.org.uk> 2.11-2
- Modifications for first round of review comments
- Put perl modules in vendor_lib

* Mon Jan 14 2008 Simon Wilkinson <simon@sxw.org.uk> 2.11-1
- Upgrade to remctl 2.11

* Mon Oct  1 2007 Simon Wilkinson <simon@sxw.org.uk> 2.10-1
- Upgrade to remctl 2.10

* Sun Sep  2 2007 Simon Wilkinson <simon@sxw.org.uk> 2.9-1
- Initial specfile

